MAUTIL(1)

NAME
mautil - Mono.Addins Setup Utility

SYNOPSIS
mautil [options] <command> [arguments]

DESCRIPTION
The mautil tool works with Mono.Addins repositories and packages.

OPTIONS

--registry, -reg
    Specify add-in registry path

--path, -p
    Specify startup path

-v  Verbose output

  Add-in commands:

install, i
    Installs add-ins.

uninstall, u
    Uninstalls add-ins.

check-install, ci
    Checks installed add-ins.

update, up
    Updates installed add-ins.

list, l
    Lists installed add-ins.

list-av, la
    Lists add-ins available in registered repositories.

list-update, lu
    Lists available add-in updates.

  Repository Commands:

rep-add, ra
    Registers repositories.

rep-remove, rr
    Unregisters repositories.

rep-update, ru
    Updates the lists of available addins.

rep-list, rl
    Lists registered repositories.

  Add-in Registry Commands:

reg-update, rgu
    Updates the add-in registry.

reg-build, rgb
    Rebuilds the add-in registry.

info
    Prints information about an add-in.

  Packaging Commands:

rep-build, rb
    Creates a repository index file for a directory structure.

pack, p
    Creates a package from an add-in configuration file.

help, h
    Shows help about a command.

  Debug Commands:

dump-file
    Prints the contents of a registry file.

SEE ALSO
mono(1).